function [] = connect_neighbors_plot(X_cell,Y_cell,this_LineSpec)

% whos this_LineSpec

equilib2ap_unique = zeros(size(X_cell,1),1) > 1;
equilib2ap_multip = zeros(size(X_cell,1),1) > 1;
for iap = 1:size(X_cell,1);
    if size(X_cell{iap},2) == 1;
       if ~isnan(X_cell{iap});
           equilib2ap_unique(iap) = true;       
       end;
    end;
    if size(X_cell{iap},2) > 1;
       if any(~isnan(X_cell{iap}));
           equilib2ap_multip(iap) = true;       
       end;
    end; 
end;

x_vals_curve = [];
y_vals_curve = [];
for iap = 1:size(X_cell,1);
    if equilib2ap_unique(iap)
        x_vals_curve = [x_vals_curve;X_cell{iap}];
        y_vals_curve = [y_vals_curve;Y_cell{iap}];
    end;
    if iap < size(X_cell,1);
        if equilib2ap_unique(iap) && ~equilib2ap_unique(iap+1);
            plot(x_vals_curve,y_vals_curve,this_LineSpec{1,4},'LineWidth',2,this_LineSpec{1,:});
            x_vals_curve = [];
            y_vals_curve = [];
        end;
    else
        if size(x_vals_curve,1) > 0;
            plot(x_vals_curve,y_vals_curve,this_LineSpec{1,4},'LineWidth',2,this_LineSpec{1,:});
            x_vals_curve = [];
            y_vals_curve = [];
        end;
    end;
end;

for iap = 1:size(X_cell,1);
    if equilib2ap_multip(iap)        
        plot(X_cell{iap},Y_cell{iap},this_LineSpec{2,4},'LineWidth',2,this_LineSpec{2,:});        
    end;
end;

end

